Subject: Re: bug#64708: [PATCH 0/8] Fix cross build and native build for the Hurd.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Jul 2023 23:23:30 +0200

Hi,

Janneke Nieuwenhuizen <[email-masked]> skribis:

> So...updating mig using git-fetch created a circular dependency because
> mig-boot0 re-used mig's source, and we cannot use git in commencement.
>
> This patch series now uses a hack by Ludo (thanks!) as suggested on IRC
> <https://logs.guix.gnu.org/guix/2023-07-17.log#233051> to not directly use
> generated cgit tarballs from savannah.
>
> The versions of gnumach-headers-boot0, mig-boot0, and hurd-headers-boot0 are
> updated so that native builds work again.  Because upstream does not produce
> release tarballs we now also need autoconf and automake in commencement.

I sent minor suggestions, but overall LGTM!

As of 4e11cac6be68a674c16965dc74e7da54cd3168df, we have
cross-compilation to i586-pc-gnu working again.  After this series, we
should still have that + ‘-s i586-gnu’ (native compilation) working
(modulo test failures fixed by <https://issues.guix.gnu.org/64711>, of
course).  I haven’t checked whether this is the case but that’s the
idea, right?  :-)

Thanks again for this!

Ludo’.